import scala.sys.process.Process

scalaVersion := "2.12.6"

mainClass in Compile := Some("eu.xeppaka.scalalearn.Main")
libraryDependencies ++= Seq(
  "com.typesafe.akka" %% "akka-actor" % "2.5.22",
  "com.typesafe.akka" %% "akka-stream" % "2.5.22",
  "com.typesafe" % "config" % "1.3.3",
  "org.mongodb.scala" %% "mongo-scala-driver" % "2.6.0",
  "io.kamon" %% "kamon-core" % "1.1.3",
  "io.kamon" %% "kamon-scala-future" % "1.0.0",
  "io.kamon" %% "kamon-akka-2.5" % "1.1.2",
  "io.kamon" %% "kamon-akka-http-2.5" % "1.1.0",
  "io.kamon" %% "kamon-akka-remote-2.5" % "1.1.0",
  "io.kamon" %% "kamon-logback" % "1.0.3",
  "org.aspectj" % "aspectjweaver" % "1.9.1",
  "com.thesamet.scalapb" %% "scalapb-runtime" % scalapb.compiler.Version.scalapbVersion % "protobuf",
  "org.scalatest" %% "scalatest" % "3.0.5" % Test,
  "org.scalamock" %% "scalamock" % "4.1.0" % Test
)

fork := true
runMain / javaOptions += "-J-Xmx512M"
PB.runProtoc in Compile := (args => Process("/run/current-system/sw/bin/protoc", args)!)
PB.targets in Compile := Seq(
  scalapb.gen() -> (sourceManaged in Compile).value
)
